Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface MessageDestinationType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  MessageDestinationTypeImpl

    public interface MessageDestinationType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `message-destinationType` xsd type

Original Documentation:

The message-destination element is used to configure the jndi-name for a
message-destination in ejb-jar.xml Used in: assembly-descriptor

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<MessageDestinationType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getMessageDestinationName()` Returns the `message-destination-name` element
`IconType<MessageDestinationType<T>>` | `icon()` Returns the `icon` element
`MessageDestinationType<T>` | `removeAllDescription()` Removes the `description` element
`MessageDestinationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`MessageDestinationType<T>` | `removeAllIcon()` Removes all `icon` elements
`MessageDestinationType<T>` | `removeJndiName()` Removes the `jndi-name` element
`MessageDestinationType<T>` | `removeMappedName()` Removes the `mapped-name` element
`MessageDestinationType<T>` | `removeMessageDestinationName()` Removes the `message-destination-name` element
`MessageDestinationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`MessageDestinationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`MessageDestinationType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`MessageDestinationType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`MessageDestinationType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`MessageDestinationType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`MessageDestinationType<T>` | `setMessageDestinationName(java.lang.String messageDestinationName)` If not already created, a new `message-destination-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    MessageDestinationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `MessageDestinationType`

### setDescriptionList

    MessageDestinationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `MessageDestinationType`

### removeAllDescription

    MessageDestinationType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `MessageDestinationType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    MessageDestinationType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `MessageDestinationType`

### setDisplayNameList

    MessageDestinationType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `MessageDestinationType`

### removeAllDisplayName

    MessageDestinationType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `MessageDestinationType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    MessageDestinationType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `MessageDestinationType`

### icon

    IconType<MessageDestinationType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<MessageDestinationType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setMessageDestinationName

    MessageDestinationType<T> setMessageDestinationName(java.lang.String messageDestinationName)

  If not already created, a new `message-destination-name` element with the given value will be created. Otherwise, the existing `message-destination-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationType`

### removeMessageDestinationName

    MessageDestinationType<T> removeMessageDestinationName()

  Removes the `message-destination-name` element

  Returns:
    the current instance of `MessageDestinationType`

### getMessageDestinationName

    java.lang.String getMessageDestinationName()

  Returns the `message-destination-name` element

  Returns:
    the node defined for the element `message-destination-name`

### setJndiName

    MessageDestinationType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationType`

### removeJndiName

    MessageDestinationType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `MessageDestinationType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    MessageDestinationType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `MessageDestinationType`

### removeMappedName

    MessageDestinationType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `MessageDestinationType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD